# Class PropertiesFileContentMerger

java.lang.Object
org.gradle.plugins.ide.api.FileContentMerger
org.gradle.plugins.ide.api.PropertiesFileContentMerger

@Deprecated public class PropertiesFileContentMerger extends FileContentMerger
Deprecated.
Will be removed in Gradle 10.
Models the generation/parsing/merging capabilities. Adds properties-related hooks.

For examples see docs for `EclipseJdt` and others.

Since:
  1.0

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PropertiesFileContentMerger(org.gradle.api.internal.PropertiesTransformer transformer)`
  Deprecated.
  Creates a new `PropertiesFileContentMerger`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `beforeMerged(Closure closure)`
  Deprecated.
  Adds a closure to be called after content is loaded from existing file but before gradle build information is merged.
  `void`
  `beforeMerged(Action<?> action)`
  Deprecated.
  Adds an action to be called after content is loaded from existing file but before gradle build information is merged.
  `org.gradle.api.internal.PropertiesTransformer`
  `getTransformer()`
  Deprecated.
  Returns the transformer.
  `void`
  `setTransformer(org.gradle.api.internal.PropertiesTransformer transformer)`
  Deprecated.
  Sets the transformer.
  `void`
  `whenMerged(Closure closure)`
  Deprecated.
  Adds a closure to be called after content is loaded from existing file and after gradle build information is merged.
  `void`
  `whenMerged(Action<?> action)`
  Deprecated.
  Adds an action to be called after content is loaded from existing file and after gradle build information is merged.
  `void`
  `withProperties(Closure closure)`
  Deprecated.
  Adds a closure to be called when the file has been created.
  `void`
  `withProperties(Action<Properties> action)`
  Deprecated.
  Adds an action to be called when the file has been created.

  ### Methods inherited from class FileContentMerger

  `getBeforeMerged, getWhenMerged, setBeforeMerged, setWhenMerged`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PropertiesFileContentMerger

    public PropertiesFileContentMerger(org.gradle.api.internal.PropertiesTransformer transformer)
    Deprecated.
    Creates a new `PropertiesFileContentMerger`.
    Since:
      1.0

- ## Method Details

  - ### getTransformer

    public org.gradle.api.internal.PropertiesTransformer getTransformer()
    Deprecated.
    Returns the transformer.
    Since:
      1.0

  - ### setTransformer

    public void setTransformer(org.gradle.api.internal.PropertiesTransformer transformer)
    Deprecated.
    Sets the transformer.
    Since:
      1.0

  - ### withProperties

    public void withProperties(Closure closure)
    Deprecated.
    Adds a closure to be called when the file has been created. The `Properties` are passed to the closure as a parameter. The closure can modify the Properties before they are written to the output file.

    For examples see docs for `EclipseJdt` and others.

    Parameters:
      `closure` - The closure to execute when the Properties have been created.
    Since:
      1.0

  - ### withProperties

    public void withProperties(Action<Properties> action)
    Deprecated.
    Adds an action to be called when the file has been created. The `Properties` are passed to the action as a parameter. The action can modify the Properties before they are written to the output file.

    For examples see docs for `EclipseJdt` and others.

    Parameters:
      `action` - The action to execute when the Properties have been created.
    Since:
      2.14

  - ### beforeMerged

    public void beforeMerged(Action<?> action)
    Deprecated.
    Description copied from class: `FileContentMerger`
    Adds an action to be called after content is loaded from existing file but before gradle build information is merged.

    This is advanced api that gives access to internal implementation. It might be useful if you want to alter the way gradle build information is merged into existing file content.

    For examples see docs for `EclipseProject` or `IdeaProject` and others.

    Overrides:
      `beforeMerged` in class `FileContentMerger`
    Parameters:
      `action` - The action to execute.

  - ### whenMerged

    public void whenMerged(Action<?> action)
    Deprecated.
    Description copied from class: `FileContentMerger`
    Adds an action to be called after content is loaded from existing file and after gradle build information is merged.

    This is advanced api that gives access to internal implementation of idea plugin. Use it only to tackle some tricky edge cases.

    For examples see docs for `EclipseProject` or `IdeaProject` and others.

    Overrides:
      `whenMerged` in class `FileContentMerger`
    Parameters:
      `action` - The action to execute.

  - ### beforeMerged

    public void beforeMerged(Closure closure)
    Deprecated.
    Description copied from class: `FileContentMerger`
    Adds a closure to be called after content is loaded from existing file but before gradle build information is merged.

    This is advanced api that gives access to internal implementation. It might be useful if you want to alter the way gradle build information is merged into existing file content.

    For examples see docs for `EclipseProject` or `IdeaProject` and others.

    Overrides:
      `beforeMerged` in class `FileContentMerger`
    Parameters:
      `closure` - The closure to execute.

  - ### whenMerged

    public void whenMerged(Closure closure)
    Deprecated.
    Description copied from class: `FileContentMerger`
    Adds a closure to be called after content is loaded from existing file and after gradle build information is merged.

    This is advanced api that gives access to internal implementation of idea plugin. Use it only to tackle some tricky edge cases.

    For examples see docs for `EclipseProject` or `IdeaProject` and others.

    Overrides:
      `whenMerged` in class `FileContentMerger`
    Parameters:
      `closure` - The closure to execute.